#ifndef NEWCLASS_H
#define NEWCLASS_H
#include "ftpaccess.h"
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qpushbutton.h>

class NewClass : public QWidget {
	Q_OBJECT
public:
	NewClass(QWidget *parent=0, char * wname=0);
	~NewClass();
public slots:
	void okButtonPressed();
	void cancelButtonPressed();
signals:
	void classAdded(ftpclass *c);
private:
	QLineEdit *	name;
	QCheckBox *	anon;
	QCheckBox *	guest;
	QCheckBox *	real;
	QLineEdit *	addrglob;
	QPushButton *	ok;
	QPushButton *	cancel;
};
#endif
